Skip to main content
GET
/
finance
/
costs
List cost records
curl --request GET \
  --url https://ai.wisepilot.app/api/v1/finance/costs \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "website_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "category": "<string>",
      "name": "<string>",
      "amount_cents": 123,
      "frequency": "monthly",
      "is_shared": true,
      "product_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key prefixed with cr_ (e.g. cr_a1b2c3...)

Query Parameters

entity_id
string<uuid>
required
website_id
string<uuid>
product_line_id
string<uuid>

Response

Cost records

success
boolean
required
data
object[]